Loading...
Searching...
No Matches
Opm::EclHeatcrLawParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the ECL thermal law. More...

`#include <EclHeatcrLawParams.hpp>`

Inheritance diagram for Opm::EclHeatcrLawParams< ScalarT >:

## Public Types

using | Scalar = ScalarT

## Public Member Functions

| EclHeatcrLawParams (const EclHeatcrLawParams &)=default
void | setReferenceRockHeatCapacity (Scalar value)
| Set the specific heat capacity of rock.
Scalar | referenceRockHeatCapacity () const
| The specific heat capacity of rock.
void | setDRockHeatCapacity_dT (Scalar value)
| Set the derivative of the specific heat capacity of rock w.r.t.
Scalar | dRockHeatCapacity_dT () const
| The derivative of the specific heat capacity of rock w.r.t.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Static Public Member Functions

static void | setReferenceTemperature (Scalar value)
| Set the reference temperature for the thermal law.
static Scalar | referenceTemperature ()
| Return the reference temperature for the thermal law.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclHeatcrLawParams< ScalarT >

The default implementation of a parameter object for the ECL thermal law.

## Member Function Documentation

## dRockHeatCapacity_dT()

template<class ScalarT>

Scalar Opm::EclHeatcrLawParams< ScalarT >::dRockHeatCapacity_dT | ( |  | ) | const

inline

The derivative of the specific heat capacity of rock w.r.t.

temperature.

## setDRockHeatCapacity_dT()

template<class ScalarT>

void Opm::EclHeatcrLawParams< ScalarT >::setDRockHeatCapacity_dT | ( | Scalar | value | ) |

inline

Set the derivative of the specific heat capacity of rock w.r.t.

temperature.

## setReferenceTemperature()

template<class ScalarT>

void Opm::EclHeatcrLawParams< ScalarT >::setReferenceTemperature | ( | Scalar | value | ) |

inline static

Set the reference temperature for the thermal law.

This is a bit hacky because only one temperature is possible, but some memory is saved this way. TODO: Solve this in a better way.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclHeatcrLawParams.hpp